angular.module('beamng.apps')

.directive('derbyListener', ['$state','VehicleSelectConfig', function ($state,VehicleSelectConfig) {
  return {
    templateUrl: '/ui/modules/apps/DerbyListener/app.html',
    replace: true,
    scope: true,
    controller: function ($scope, $element, $attrs) {
		var vm = this;
			if ($state && $state.current.name === "menu.vehicles"){
				if(VehicleSelectConfig && VehicleSelectConfig.configs.default){
					VehicleSelectConfig.configs.default.hide =  {'removeBtns': true, 'spawnNew': true};
					VehicleSelectConfig.configs.default.filter = {'Type': ['Prop', 'Trailer']};
				}
			}else{
				VehicleSelectConfig.configs.default.hide =  {};
				VehicleSelectConfig.configs.default.filter = {}; 
			}
		 $scope.$on('$destroy', function () {
		 })
	},
    controllerAs: 'derbyListener'
  };
}]);



